
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android动态加载布局_Android / iVAN</title>

    <meta name="description" content="Android动态加载布局_Android ListView我们一直都在用,只不过当Adapter中的内容比较多的时候我们有时候没办法去设置一些组件,举个例子: 可以看到京东的故事里面的这样一个布局,这个布局可以说是我目前见到的内容比较多的了,它的每一项都包含头像.姓名.分类.内容.图片.喜欢.评论.分享以及喜欢的头像.分析了一下布局之后我们不难发现,除了喜欢头像这部分,其余的都很好实现. 那么下面着重说一下这个头像这部分怎么实现? 第一种方案:我们可以用GridView来实现,GridView和ListView的用法是一样的,俗称九宫格">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android动态加载布局_Android</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>ListView我们一直都在用，只不过当Adapter中的内容比较多的时候我们有时候没办法去设置一些组件，举个例子：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MjIxNTMyMTY0NzUucG5n.jpg"></p>
<p>可以看到京东的故事里面的这样一个布局，这个布局可以说是我目前见到的内容比较多的了，它的每一项都包含头像、姓名、分类、内容、图片、喜欢、评论、分享以及喜欢的头像。分析了一下布局之后我们不难发现，除了喜欢头像这部分，其余的都很好实现。</p>
<p>那么下面着重说一下这个头像这部分怎么实现？</p>
<p><strong>第一种方案：</strong>我们可以用GridView来实现，GridView和ListView的用法是一样的，俗称九宫格排列，那么我们可以将GridView的一行排列九张图片来显示这些头像，只不过ListView嵌套着GridView稍微的有些麻烦，自己做了一个，感觉不太好用，有想要ListView嵌套GridView的可以私密我。</p>
<p><strong>第二种方案：</strong>就是本篇文章所讲的动态加载布局了：</p>
<p>很简单，我们在ListView中定义一个LinerLayout线性布局，用来存放这些头像，先看一下布局吧：</p>
<pre>
&lt;?xml version="1.0" encoding="utf-8"?&gt;
&lt;LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="match_parent"&gt; 

 &lt;LinearLayout
   android:padding="@dimen/small_space"
   android:orientation="horizontal"
   android:layout_width="match_parent"
   android:layout_height="wrap_content"&gt; 

  &lt;com.view.RoundedImageView
    android:id="@+id/iv_myspace_usericon"
    android:src="@drawable/usericon"
    android:layout_width="50dp"
    android:layout_height="50dp"/&gt;
  &lt;TextView
    android:id="@+id/tv_myspace_username"
    android:layout_marginLeft="@dimen/middle_space"
    android:layout_gravity="center_vertical"
    android:text="王某某"
    android:textSize="@dimen/small_textSize"
    android:layout_weight="1"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"/&gt;
  &lt;TextView
    android:id="@+id/tv_myspace_time"
    android:textColor="@color/normal_bar_futext_color"
    android:textSize="@dimen/smallest_textSize"
    android:layout_gravity="center_vertical"
    android:text="2015-8-26 17.46"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"/&gt; 

 &lt;/LinearLayout&gt;
 &lt;TextView
   android:id="@+id/tv_myspace_content"
   android:paddingRight="@dimen/middle_space"
   android:paddingLeft="@dimen/middle_space"
   android:paddingBottom="@dimen/middle_space"
   android:text="受到了房间啊了会计分录会计法舰队司令减肥；立刻受到杰弗里斯到付款；老是觉得烦；老卡机的说法；就是看到的就发了卡就"
   android:layout_width="match_parent"
   android:layout_height="wrap_content"/&gt;
 &lt;ImageView
   android:id="@+id/iv_myspace_image"
   android:scaleType="fitXY"
   android:src="@drawable/moren"
   android:paddingRight="@dimen/middle_space"
   android:paddingLeft="@dimen/middle_space"
   android:layout_width="match_parent"
   android:layout_height="140dp"/&gt;
 &lt;LinearLayout
   android:id="@+id/ll_myspace_reply_icons"
   android:paddingTop="@dimen/small_space"
   android:paddingRight="@dimen/middle_space"
   android:paddingLeft="@dimen/middle_space"
   android:orientation="horizontal"
   android:layout_width="match_parent"
   android:layout_height="wrap_content"&gt;
 &lt;/LinearLayout&gt;
 &lt;LinearLayout
   android:layout_marginTop="@dimen/small_space"
   android:paddingRight="@dimen/middle_space"
   android:paddingLeft="@dimen/middle_space"
   android:orientation="horizontal"
   android:layout_width="match_parent"
   android:layout_height="wrap_content"&gt;
  &lt;ImageView
    android:id="@+id/iv_myspace_like"
    android:src="@drawable/zan_icon"
    android:layout_width="20dp"
    android:layout_height="20dp"/&gt;
   &lt;ImageView
     android:visibility="gone"
     android:id="@+id/iv_myspace_liked"
     android:src="@drawable/wozaixianchang_dianzanxi"
     android:layout_width="20dp"
     android:layout_height="20dp"/&gt;
  &lt;TextView
    android:id="@+id/tv_myspace_zan_count"
    android:layout_gravity="center_vertical"
    android:text="0"
    android:textColor="@color/normal_bar_futext_color"
    android:layout_marginLeft="@dimen/small_space"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"/&gt;
  &lt;ImageView
    android:id="@+id/iv_myspace_comment"
    android:layout_marginLeft="@dimen/middle_space"
    android:src="@drawable/pinglun_icon"
    android:layout_width="20dp"
    android:layout_height="20dp"/&gt;
  &lt;TextView
    android:id="@+id/tv_myspace_pinglun_count"
    android:layout_gravity="center_vertical"
    android:text="0"
    android:textColor="@color/normal_bar_futext_color"
    android:layout_marginLeft="@dimen/small_space"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"/&gt; 

 &lt;/LinearLayout&gt; 

&lt;/LinearLayout&gt; 

&lt;LinearLayout
   android:id="@+id/ll_myspace_reply_icons"
   android:paddingTop="@dimen/small_space"
   android:paddingRight="@dimen/middle_space"
   android:paddingLeft="@dimen/middle_space"
   android:orientation="horizontal"
   android:layout_width="match_parent"
   android:layout_height="wrap_content"&gt;
 &lt;/LinearLayout&gt; 
</pre>
<p>上面的LinearLayout就是放这些头像的，其他的就不多说了，下面我们看看怎么来给我们的adapter里面加这些头像</p>
<pre>
LinearLayout.LayoutParams params = new LinearLayout.LayoutParams(100, 100);
     params.setMargins(8, 0, 8, 0);
     roundedImageView.setLayoutParams(params);
     roundedImageView.setScaleType(ImageView.ScaleType.FIT_XY);
     if (!"".equals(replyUrl.get(m)) &amp;&amp; replyUrl.get(m) != null) {
      ImageLoader.getInstance().displayImage(replyUrl.get(m), roundedImageView);
     } else {
      roundedImageView.setImageDrawable(context.getResources().getDrawable(R.drawable.usericon));
     }
     if (m == count) {
      roundedImageView.setImageDrawable(context.getResources().getDrawable(R.drawable.wozaixianchangxiangqing_shenglve));
     } else {
      holder.llReplyIcons.addView(roundedImageView);
     }
</pre>
<p>我们先定义一个LayoutParams，设置头像图片的一些属性，包括大小，margins以及scaletype等，然后给它设置到我们的ImageView中，最后holder.llReplyIcons.addView(roundedImageView);  添加子布局就ok了。京东这个是固定了头像的个数，而我写的则是根据手机屏幕的宽度添加头像：</p>
<pre>
WindowManager wm = (WindowManager) context.getSystemService(Context.WINDOW_SERVICE);
  int width = wm.getDefaultDisplay().getWidth();
  int count = width / 116;
</pre>
<p>count就是可以添加的头像，当View中的i等于我们的count的时候，我们可以用最后的省略号的图片来显示。<br />
之前在群里有人问我这个头像点击跳转到个人主页怎么实现的，想了一下，是不是可以用手机触摸的坐标来算一下坐标位于第几个头像之间，觉得那样比较麻烦。我们可以在添加子布局头像的时候，就给这个子布局设置点击事件，就可以了，看一下代码：</p>
<pre>
for (int m = 0; m &lt; replyUrl.size(); m++) {
     RoundedImageView roundedImageView = new RoundedImageView(context);
     final int finalM = m;
     roundedImageView.setOnClickListener(new View.OnClickListener() {
      @Override
      public void onClick(View view) {
       if (story.getReply_user_id().get(finalM) != null) {
        Intent intent = new Intent(context, MyStoryActivity.class);
        intent.putExtra("userid", story.getReply_user_id().get(finalM));
        intent.putExtra("user_iconurl", story.getReply_user_icon_url().get(finalM));
        intent.putExtra("username", story.getReply_user_name().get(finalM));
        intent.putExtra("flag", "others");
        context.startActivity(intent);
       } else {
        Intent intent = new Intent(context, StoryFavoriteAcitvity.class);
        intent.putExtra("storyId", story.getId());
        context.startActivity(intent);
       } 

      }
     });
     LinearLayout.LayoutParams params = new LinearLayout.LayoutParams(100, 100);
     params.setMargins(8, 0, 8, 0);
     roundedImageView.setLayoutParams(params);
     roundedImageView.setScaleType(ImageView.ScaleType.FIT_XY);
     if (!"".equals(replyUrl.get(m)) &amp;&amp; replyUrl.get(m) != null) {
      ImageLoader.getInstance().displayImage(replyUrl.get(m), roundedImageView);
     } else {
      roundedImageView.setImageDrawable(context.getResources().getDrawable(R.drawable.usericon));
     }
     if (m == count) {
      roundedImageView.setImageDrawable(context.getResources().getDrawable(R.drawable.wozaixianchangxiangqing_shenglve));
     } else {
      holder.llReplyIcons.addView(roundedImageView);
     } 

    }
</pre>
<p>这段代码就全都包括了，其中一些里面的参数是服务器返回来的，都是真实数据。这样就可以点击头像跳转了。<br />
那么最后看一下我自己实现的界面是不是和京东的一样呢？</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MjIxNTMzNTc3NDUucG5n.jpg"></p>
<p>怎么样是不是差不多？</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索Android动态加载<br />
                                    fragment动态加载布局、安卓动态加载布局、动态加载布局、listview动态加载布局、动态加载布局文件，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 11:45:21</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/android%e5%8a%a8%e6%80%81%e5%8a%a0%e8%bd%bd/" title="Android动态加载">Android动态加载</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android动态加载布局_Android的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg0BRmp.html" rel="bookmark">Android动态加载布局</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ListView我们一直都在用,只不过当Adapter中的内容比较多的时候我们有时候没办法去设置一些组件,举个例子: 可以看到京东的故事里面的这样一个布局,这个布局可以说是我目前见到的内容比较多的了,它的每一项都包含头像.姓名.分类.内容.图片.喜欢.评论.分享以及喜欢的头像.分析了一下布局之后我们不难发现,除了喜欢头像这部分,其余的都很好实现. 那么下面着重说一下这个头像这部分怎么实现? 第一种方案:我们可以用GridView来实现,GridView和ListView的用法是一样的,俗称九宫格			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWNX7nb.html" rel="bookmark">Android 动态加载布局</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				由于前段时间项目需要,需要在一个页面上加载根据不同的按钮加载不同的布局页面,当时想到用 tabhot .不过美工提供的界面图完全用不上tabhot ,所以想到了动态加载的方法来解决这一需求.在这里我整理了一下,写了一个 DEMO 希望大家以后少走点弯路. 首先,我们先把界面的框架图画出来,示意图如下: 中间白色部门是一个线性布局文件,我喜欢在画图的时候用不同的颜色将一块布局标示出来,方便查看.布局文件代码如下: &lt;?xml version=&quot;1.0&quot; encoding=&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNJ4eJM.html" rel="bookmark">android动态加载布局文件示例&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.布局文件part.xml: 复制代码 代码如下: &lt;RelativeLayout xmlns:android=&quot;http://schemas.android.com/apk/res/android&quot;    xmlns:tools=&quot;http://schemas.android.com/tools&quot;    android:layout_width=&quot;match_parent&quot;    android:layout_height=&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAXNRKb.html" rel="bookmark">android动态加载布局文件示例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.布局文件part.xml: 复制代码 代码如下:&lt;RelativeLayout xmlns:android=&quot;http://schemas.android.com/apk/res/android&quot;    xmlns:tools=&quot;http://schemas.android.com/tools&quot;    android:layout_width=&quot;match_parent&quot;    android:layout_height=&quot;m			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmGvRlb.html" rel="bookmark">Android编程动态加载布局实例详解【附demo源码】&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android编程动态加载布局的方法.分享给大家供大家参考,具体如下: 由于前段时间项目需要,需要在一个页面上加载根据不同的按钮加载不同的布局页面,当时想到用 tabhot .不过美工提供的界面图完全用不上tabhot ,所以想到了动态加载的方法来解决这一需求.在这里我整理了一下,写了一个 DEMO 希望大家以后少走点弯路. 首先,我们先把界面的框架图画出来,示意图如下: 中间白色部门是一个线性布局文件,我喜欢在画图的时候用不同的颜色将一块布局标示出来,方便查看.布局文件代码如下:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn7Lmoz.html" rel="bookmark">android viewpager根据数组的长度动态加载布局，隐藏控件无效。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 android viewpager根据数组的长度动态加载布局,隐藏控件无效. 布局文件 android:layout_width=&quot;match_parent&quot; android:layout_height=&quot;match_parent&quot; android:orientation=&quot;vertical&quot; &gt; &lt;android.support.v4.view.ViewPager android:id=&quot;@+id/viewpag			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2Zdrvb.html" rel="bookmark">Android应用开发中Fragment的静态加载与动态加载实例&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.Fragment的静态使用Fragment是作为Activity的UI的一部分,它内嵌在Activity中,多个Fragment可以把一个Activity分成多个部分,这在大屏幕手机或者平板电脑中会比较多的用到,这样就不用使用多个Activity来切换这么麻烦了.当然Fragment也可以不显示,只在后台处理一些数据,这篇文章中就暂时不谈到这个.以下来看怎么静态地在Activity的布局文件中添加Fragment. 自定义的Fragment通常要继承Fragment这个类,也有一些特殊的是继			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pX0R15p.html" rel="bookmark">Android应用开发提高系列（5）&mdash;&mdash;Android动态加载（下）&mdash;&mdash;加载已安装APK中的类和资源</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言  Android动态加载(下)--加载已安装APK中的类和资源.   声明 欢迎转载,但请保留文章原始出处:)  博客园:http://www.cnblogs.com 农民伯伯: http://over140.cnblogs.com  Android中文Wiki:http://wikidroid.sinaapp.com     正文 一.目标 注意被调用的APK在Android系统中是已经安装的.    上篇文章:Android应用开发提高系列(4)--Android动态加载(上)--加载			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg32mBM.html" rel="bookmark">设计简单的Android图片加载框架&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目前Android 发展至今优秀的图片加载框架太多,例如: Volley ,Picasso,Imageloader,Glide等等.但是作为程序猿,懂得其中的实现原理还是相当重要的,只有懂得才能更好地使用.于是乎,今天我就简单设计一个网络加载图片框架.主要就是熟悉图片的网络加载机制. 一般来说,一个优秀的 图片加载框架(ImageLoader) 应该具备如下功能: 图片压缩 内存缓存 磁盘缓存 图片的同步加载 图片的异步加载 网络拉取 那我们就从以上几个方面进行介绍: 1.图片压缩(有效的降低O			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3NW0z.html" rel="bookmark" class="title">sdk-问一个Android开发的环境安装问题&excl;求解&excl;</a>
					<div>
						问题描述 问一个Android开发的环境安装问题!求解! 我安装Android SDK点击SDK Manager.exe之后这个界面不是有很多的包可以安装吗?怎么我的这个就是这么点希望大神帮我下! 解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjolnM.html" rel="bookmark" class="title">GFS&comma; HDFS&comma; Blob File System架构对比</a>
					<div>
						分布式文件系统很多,包括GFS,HDFS,淘宝开源的TFS,Tencent用于相册存储的TFS (Tencent FS,为了便于区别,后续称为QFS),以及Facebook Haystack.其中,T ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrdeOz.html" rel="bookmark" class="title">Photoshop给树荫下的美女加上唯美的中性淡蓝色</a>
					<div>
						素材图片画面不够唯美.调色的时候先把主色转为比较干净的颜色:然后用云彩滤镜增加烟雾效果:再在局部渲染一些高光,把整体处理柔和一点即可. 原图 最终效果					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz46EPM.html" rel="bookmark" class="title">个人站长网站收入来源分析</a>
					<div>
						一.以google为首的点击类广告.还有百度,Yahoo,阿里妈妈等.一般都是按点击数收费.每次因为不同的广告而单价不同.一般平均点击一次能收入人民币三毛钱左右.这些类型广告对打击无效点击行为(如:自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMN3V7p.html" rel="bookmark" class="title">在符合标准的网页制作中常犯的错误</a>
					<div>
						标准|错误|网页 1. 检查HTML元素是否有拼写错误.是否忘记结束标记 即使是老手也经常会弄错div的嵌套关系.可以用dreamweaver的验证功能检查一下有无错误. 2. 检查CSS是否正确 检 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLyvvz.html" rel="bookmark" class="title">ASP开发技巧集锦&lpar;1&rpar;</a>
					<div>
						技巧 1. 几个常用函数 Round(pi, 2) 四舍五入 FormatNumber(k,4) ' 把 k 格式化为带四位小数点的数. eg. 如果k =20000则显示为20,000.00:如果把 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKw1vp.html" rel="bookmark" class="title">UVa 1422：Processor 任务处理问题</a>
					<div>
						题目大意:有n个任务送到处理器处理,每个任务信息包括r,d,w,r代表开始时间,w代表必须要结束的时间,w指需要多少时间处理. 其中处理器的处理速度可以变速,问处理器最小需要多大速度才能完成工作? 输 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5A2n7p.html" rel="bookmark" class="title">SQL Server 2008在数据仓库方面的一些优点</a>
					<div>
						SQL Server 2008提供了一个全面的和可扩展的数据仓库平台,它可以用一个单独的分析存储进行强大的分析,以满足成千上万的用户在几兆字节的数据中的需求.下面是SQL Server 2008中在数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7JA8b.html" rel="bookmark" class="title">图标制作软件：如何从web图像创建一个图标</a>
					<div>
						在一些电脑图标下载网站上,我们常常能看到很多的图标制作素材.甚至是已经制作完成的图标,如果我们想使用这些现成图标,并一定非得把它们下载到自己电脑上才能使用.Iconworkshop图标制作软件能够直接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaB4Zz.html" rel="bookmark" class="title">JavaScript数据结构和算法之图和图算法</a>
					<div>
						 这篇文章主要介绍了JavaScript数据结构和算法之图和图算法,本文讲解了有向图.无序图.简单图.图的遍历等内容,需要的朋友可以参考下     图的定义 图(Graph)是由顶点的有穷非空集合和顶 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGXlDb.html" rel="bookmark" class="title">win8&period;1系统修复网络连接操作方法</a>
					<div>
						  近段时间经常听到网友们在升级win8.1系统时,出现网络连接的问题,所以今天小编就为大家详细的解决下!修复网络连接进行时,大家一起来看看吧! 具体症状如下: &quot;无法连接到此网络&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8k05xM.html" rel="bookmark" class="title">curl-linux模拟定时访问网页问题</a>
					<div>
						问题描述 linux模拟定时访问网页问题 求指导: 我打算用linux命令行curl模拟登录网页www.xxx.com/a.php?a=0&amp;record=0,并把输出内容写入服务器上的一个文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRokdz.html" rel="bookmark" class="title">handler-Android。在无限循环的线程中创建Message对象，无限出现GC调用。</a>
					<div>
						问题描述 Android.在无限循环的线程中创建Message对象,无限出现GC调用. 我在Android开发中.开启了一个线程,这个线程是无限循环的.并且在这个线程里,我通过创建Handle的Mes ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkgXDb.html" rel="bookmark" class="title">嵌入式linux开发-嵌入式linux S3C2440 实时时钟</a>
					<div>
						问题描述 嵌入式linux S3C2440 实时时钟 我想在嵌入式linux下获取TQ2440的实时时钟,并可以在QT编程在屏幕上显示,而且可以通过socket将获取得到的时间信息传送到远程服务器.T ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lYQ3b.html" rel="bookmark" class="title">程序员，你真的懂得收发电子邮件吗？</a>
					<div>
						前言 在几年以前,相信不少朋友都听说过,马云同志创办阿里巴巴的时候,还不会发邮件.也不知道在阿里巴巴上市之后,他学会收发邮件了没有!呵呵.我是曾经从内心里&quot;瞧不起&quot;过,至少认为在这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjqBoM.html" rel="bookmark" class="title">Atlassian Confluence 4&period;2发布 企业知识管理与协同软件</a>
					<div>
						Confluence 是一款实现技术团队之间协作的企业知识管理软件,即是一个专业的维基百科.其功能包括:知识管理(创建.更新和分享知识,发表观点).文件管理.规格设置.实体模型.图表和项目管理.是一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAGAvM.html" rel="bookmark" class="title">Yii一个高性能的、基于组件的PHP框架</a>
					<div>
						本文将通过具体的实例对 Yii 框架进行阐述,使读者在真实的案例中去学习如何使用 Yii 框架创建自己的 Web 应用,从而对这个优秀的 PHP 框架有个更真实的体验. Yii 是什么? Yii 是一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvm9YWb.html" rel="bookmark" class="title">Spring &commat;Transactional使用错误</a>
					<div>
						问题描述 这两天在学习Spring申明式事务管理时,使用annotation时,老是提示错误.跟上配置文件:&lt;beanid=&quot;sessionFactory&quot;class=&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZvwDz.html" rel="bookmark" class="title">unity3d-服务端返回这种数据怎么处理</a>
					<div>
						问题描述 服务端返回这种数据怎么处理 &quot;er=0,station_id=,login_id=,game_id=,point=0.00,option=1,0,1,0,0,0,90000,0,0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKernb.html" rel="bookmark" class="title">http&colon;&sol;&sol;ip&period;wen&period;la&sol;ip&period;jsp&quest;q&equals;220&period;181&period;6&period;19&amp;amp&semi;amp&semi;amp&semi;x&equals;45&amp;amp&semi;amp&semi;amp&semi;y&equals;16截取其中的域名和网站名称</a>
					<div>
						问题描述 http://ip.wen.la/ip.jsp?q=220.181.6.19&amp;x=45&amp;y=16截取其中的域名和网站名称,应该怎么实现呢?并把每一个域名和网站名称保存到EXC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlK7Q8b.html" rel="bookmark" class="title">关于h264&plus;aac合成MP4问题</a>
					<div>
						问题描述 关于h264+aac合成MP4问题 bool Mp4Mutex::init(int&amp; nTrackId, int nSampleRate, int nChannal, int bit ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJa58p.html" rel="bookmark" class="title">LinkedIn为何收购机器学习初创公司？</a>
					<div>
						据国外媒体报道,LinkedIn宣布收购机器学习数据分析初创公司Newsle.双方交易细节未公布. Newsle成立于2011年,是一家可根据互联网数据,自动追踪和更新某一指定人物的相关动态,并向旗下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq77q3z.html" rel="bookmark" class="title">Ural 1019 Line Painting</a>
					<div>
						点击打开链接ural 1019 思路:离散化 分析: 1 这一题的区间的最大值为10^9而n最大为5000,很明显就是利用离散化 2 题目中说了区间[0,10^9]刚开始为白色,而给定重刷的区间的值是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqdaVb.html" rel="bookmark" class="title">12306的西天取经路 - 春节抢票与PostgreSQL数据库设计思考</a>
					<div>
						标签 PostgreSQL , 12306 , 春节 , 一票难求 , 门禁广告 , 数组 , 范围类型 , 抢购 , 排他约束 , 大盘分析 , 广告查询 , 火车票 背景 马上春节了,又到了火车票 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLg80kM.html" rel="bookmark" class="title">jar-finished with non-zero exit value 2问题求助</a>
					<div>
						问题描述 finished with non-zero exit value 2问题求助 Error:Execution failed for task ':app:dexDebug'. com.an ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eRg8b.html" rel="bookmark" class="title">如何搭建企业&OpenCurlyDoubleQuote;互联网办公室&rdquo;</a>
					<div>
						重回悬崖 陈言从老板那儿灰头土脸地离开,回到自己的办公室,仍是愁眉不展. 陈言是公司IT信息部的主管,为公司信息化建设立下了汗马功劳.他见证了公司的信息化建设从无到有,在几年间迅速成长为行业内标杆企业 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqEvWb.html" rel="bookmark" class="title">移动APP成&OpenCurlyDoubleQuote;抄袭&rdquo;重地 版式功能雷同难判罚</a>
					<div>
						网易告腾讯抄袭 大众点评告网易侵权 IT时报记者 郝俊慧 螳螂捕蝉黄雀在后.4月12日网易发表声明称,遭到腾讯 新闻客户端全面抄袭,要求腾讯将产品从苹果应用商店下架.仅仅过了4天, 大众点评网对外宣布 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJBEdp.html" rel="bookmark" class="title">D&colon;&bsol;&bsol;Android&bsol;&bsol;android-ndk-r10&bsol;&bsol;android-ndk-r10&bsol;&bsol;ndk-build&period;cmd&amp;amp&semi;amp&semi;quot&semi;  系统找不到指定的路径。</a>
					<div>
						问题描述 22:04:46****AutoBuildofconfigurationDefaultforprojectOpenCVTutorial2-MixedProcessing****&quot;D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mye6XlM.html" rel="bookmark" class="title">vb 2010编辑器崩溃</a>
					<div>
						问题描述 vb2010编辑器,只要一选择文本,马上崩溃退出,不能复制.重装了2个中文版的2010也不行,同时也打了sp1.难道是重装系统的节奏,或者装英文版的2010?系统是xp+sp3. 解决方案  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0GZAp.html" rel="bookmark" class="title">行业发展规范 保安监控影像至少留存30日</a>
					<div>
						&quot;保安&quot;这一名词对于大家来说已经熟悉的不能在熟了,然而这一行业在发展的过程中也遇到了很多的问题.为了促进行业的发展,国务院总理温家宝10月13日签署第564号国务院令,&lt;保安 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
